---
title: "Download"
draft: false
toc: true
---
# Latest Release: v0.12.0 (March 27, 2022)

[Change History](/guidebook/changes.html)

## <i class="fab fa-windows" title="Microsoft Windows PC" style="color: #0067b8"></i> Windows

The Microsoft&trade; Windows release of _Sketchy Maze_ currently comes as a ZIP
file that you can extract anywhere and then run the `sketchymaze.exe` program to
start the game.

**Note:** I do not yet have a code signing certificate for the Windows release,
so you may need to click through the "Unknown Publisher" dialog.

* **64-bit:** [sketchymaze-0.12.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.12.0/windows/sketchymaze-0.12.0-windows-64bit.zip) (23 MB)
* **32-bit:** [sketchymaze-0.12.0-windows-32bit.zip](https://download.sketchymaze.com/release/v0.12.0/windows/sketchymaze-0.12.0-windows-32bit.zip) (23 MB)

---

## <i class="fab fa-apple pl-4" title="Apple macOS (Intel)" style="color: #acacac; text-shadow: 1px 1px 1px #000"></i> Mac OS (Intel)

The macOS release of _Sketchy Maze_ comes in two varieties: a traditional
"Sketchy Maze.app" in a .dmg file or a form similar to Windows and Linux with a
ZIP file that you can extract anywhere and run the `sketchymaze` program to start
the game.

**Note:** I do not yet have a code signing certificate for the macOS release;
you're expected to know how to run apps from unverified developers. See
[Apple's documentation](https://support.apple.com/guide/mac-help/open-a-mac-app-from-an-unidentified-developer-mh40616/11.0/mac/11.0)
how to do this for your version of macOS.

* **Intel 64-bit App:** [sketchymaze-0.12.0-macOS-x64.dmg](https://download.sketchymaze.com/release/v0.12.0/macos/sketchymaze-0.12.0-macOS-x64.dmg) (32 MB)
* **Zip file for Intel Macs:** [sketchymaze-0.12.0-macos-x64.zip](https://download.sketchymaze.com/release/v0.12.0/macos/sketchymaze-0.12.0-macos-x64.zip) (22 MB)

---

## <i class="fab fa-linux text-dark" title="GNU/Linux (PC and ARM)"></i> GNU/Linux

### <i class="fa fa-box" style="color: #640"></i> Flatpak (All Distros)

The easiest cross-distro way to download _Sketchy Maze_ is via [Flatpak](https://flatpak.org/),
which is well supported on most popular Linux distributions including Fedora, Ubuntu,
Debian and others.

* **64-bit:** [sketchy-maze-0.12.0.flatpak](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0.flatpak) (13.1 MB)
* **ARM aarch64:** [sketchy-maze-0.12.0-aarch64.flatpak](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0-aarch64.flatpak) (13.1 MB)

There is not a Flatpak repository for this game yet; inclusion on
[Flathub](https://flathub.org/) or a custom Flatpak repository for easier
install/updates is being considered.

To install the Flatpak manually:

```bash
# Download the .flatpak package. NOTE: it's distributed as a stand-alone app
# for now, a flatpak repo will be added at some point.
$ wget https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0.flatpak

# Install the .flatpak package.
$ flatpak install --user sketchy-maze-0.12.0.flatpak

# Run it. There should also be a standard app launcher in your menu.
$ flatpak run com.sketchymaze.Doodle
```

<br>

### <i class="fab fa-fedora" title="Fedora" style="color: #4e9dd3"></i> Fedora (.rpm)

* **64-bit:** [sketchy-maze-0.12.0-1.x86_64.rpm](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0-1.x86_64.rpm) (21 MB)
* **32-bit:** [sketchy-maze-0.12.0-1.i386.rpm](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0-1.i386.rpm) (21 MB)
* **ARM aarch64:** [sketchy-maze-0.12.0-1.aarch64.rpm](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze-0.12.0-1.aarch64.rpm) (21 MB)

### <i class="fab fa-ubuntu" title="Ubuntu (& Debian)" style="color: #e95420"></i> Ubuntu & Debian (.deb)

* **64-bit:** [sketchy-maze_0.12.0_amd64.deb](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze_0.12.0_amd64.deb) (21 MB)
* **32-bit:** [sketchy-maze_0.12.0_i386.deb](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze_0.12.0_i386.deb) (21 MB)
* **ARM aarch64:** [sketchy-maze_0.12.0_arm64.deb](https://download.sketchymaze.com/release/v0.12.0/linux/sketchy-maze_0.12.0_arm64.deb) (21 MB)

**Notice:** the game depends on SDL2, SDL2-ttf and SDL2-mixer but the .deb package doesn't declare these
dependencies for compatibility between Debian and Ubuntu which name these packages distinctly.

### <i class="fab fa-linux text-dark"></i> Tarball

You can download _Sketchy Maze_ as a `.tar.gz` archive which you can extract
anywhere and run. The binary is built on a modern Fedora system and _hopefully_
should run as-is on other modern GNU/Linux systems, but sometimes shared library
versions of SDL2 may not match your computer.

* **64-bit:** [sketchymaze-0.12.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.12.0/linux/sketchymaze-0.12.0-linux-64bit.tar.gz)
* **32-bit:** [sketchymaze-0.12.0-linux-32bit.tar.gz](https://download.sketchymaze.com/release/v0.12.0/linux/sketchymaze-0.12.0-linux-32bit.tar.gz)
* **ARM aarch64:** [sketchymaze-0.12.0-linux-aarch64.tar.gz](https://download.sketchymaze.com/release/v0.12.0/linux/sketchymaze-0.12.0-linux-aarch64.tar.gz)

_Sketchy Maze_ also works on Linux smartphone devices such as the Pinephone and Librem 5.
Check out the aarch64 releases, built on <a href="https://mobian-project.org/">Mobian</a>
testing (bookworm). The .deb package works best on Mobian!

---

# Previous Releases

For older versions of Sketchy Maze please browse the [releases site](https://download.sketchymaze.com/release/).

## Project: Doodle v0.4.0 and Older

Older alpha builds of Sketchy Maze (codenamed _Project: Doodle_) are available
from blog posts on the author's personal website. These releases mainly targeted
Linux and Windows with the occasional Mac OS version.

* [Project: Doodle v0.4.0](https://www.kirsle.net/project-doodle-v0-4-0) -- _Nov 24, 2020_
* [Project: Doodle v0.3.0](https://www.kirsle.net/project-doodle-v0-3-0) -- _Sept 19, 2020_
* [Project: Doodle v0.2.0](https://www.kirsle.net/project-doodle-v0-2-0) -- _June 7, 2020_
* [Project: Doodle v0.1.0](https://www.kirsle.net/doodle-v0.1.0) -- _Apr 13, 2020_
* [Project: Doodle v0.0.10](https://www.kirsle.net/doodle) -- _July 9, 2019_
